Der derzeit installierte Bootloader ist veraltet und muss dringend aktualisiert werden!

Hier findest Du Platz für alle Diskussionen, die thematisch nicht in die übrigen Foren passen.
Antworten
Admin
Administrator
Beiträge: 2764
Registriert: Di 19. Jan 2016, 18:34
Wohnort: Kiel
Mäher: Gardena SILENO City 500
Firmware des Mähers (MSW): MSW 11.xx.xx
Herstellungsjahr: 2017 (Modell 2018)
Robonect-Modul: Robonect Hx (Rev.5)
Robonect Firmware: stets die Allerneuste :-)
hat sich bedankt: 1 Mal
wurde gedankt: 2 Male
Kontaktdaten:

Der derzeit installierte Bootloader ist veraltet und muss dringend aktualisiert werden!

Beitrag von Admin »

Seit August 2016 besitzt der Bootloader eine eigene Signatur. Wenn diese fehlt, z.B. weil der Bootloader älter ist, erscheint in dem Firmware-Update Menü ein entsprechender Hinweis.

Welchen Nachteil habe ich durch einen veralteten Bootloader?
Die Bootloader ohne eine Signatur besitzen einen Bug, der unter Umständen die Firmware des Robonect im Falle einer Unterspannung, beschädigen kann. Bei normaler Verwendung tritt dies hingegen nicht auf.
Wenn dieser Bug doch auftritt, macht es sich dadurch bemerkbar, dass Robonect nicht mehr erreichbar ist und der Mäher auf dem Display den Fehler 501 anzeigt. In der Regel kann die Firmware mit einem Hard-Reset (siehe FAQs) wieder hergestellt werden.

Bisher waren ca. 1% aller Robonect-Nutzer hiervon betroffen.

Wie kann ich den Bootloader selber aktualisieren?
Der Bootloader kann leider nicht online aktualisiert werden, da er sich in einem speziell geschützten Bereich auf dem Mikroprozessor befindet.

Wie kann ich den Bootloader dennoch auf den neusten Stand bringen?
Gerne kannst Du mir dein Modul jetzt oder in der Winterpause zuschicken. Das Update führe ich kostenlos durch! Allerdings bitte ich darum dem Paket wahlweise einen frankiertes Rücksendeetikett oder 4€ Portoerstattung beizulegen.

Was wird für das Update alles benötigt?
Nur das Modul. Die Antenne wird hierfür nicht benötigt.

Wie lautet die allgemeine Empfehlung?
Sofern alles funktioniert, ist kein Update notwendig. Daher ist eine Aktualisierung nicht zwingend notwendig. Wer auf Nummer sicher gehen möchte, kann mir das Modul z.B. gerne in der Winterpause für ein Update zuschicken.
Werbefläche zu vermieten. :lol:

Eckat
Forum-Anfänger
Beiträge: 9
Registriert: So 22. Mai 2016, 17:18

Re: Der derzeit installierte Bootloader ist veraltet und muss dringend aktualisiert werden!

Beitrag von Eckat »

Ich nehme das Angebot des Updates gerne an. Denn ich habe schon ein paar mal den 501er bekommen, nachdem die Batterie leer wurde, da er außerhalb der Ladestation stehen blieb.
Soll ich das Modul einfach zuschicken, wenn er in die Winterpause geht oder erst noch nachfragen?
Mower: R40Li
MSW: 3.02.00 (2012-10-18 07:37:23)
Robonect: H30x
Robonect-FW: V0.8 (2016-09-21 19:29:00)

Campus
sehr erfahrener Forum-Nutzer
Beiträge: 417
Registriert: Mi 27. Jan 2016, 16:08
Mäher: Gardena R40Li
Firmware des Mähers (MSW): MSW 5.xx.xx
Herstellungsjahr: 2012
Robonect-Modul: Robonect H30x (Rev.1)
Robonect Firmware: 1.0beta5

Re: Der derzeit installierte Bootloader ist veraltet und muss dringend aktualisiert werden!

Beitrag von Campus »

Kann man den Bootloader mit einem Atmel AVR-ISP MK2 vielleicht auch selbst flashen?
Gruß
Campus

Admin
Administrator
Beiträge: 2764
Registriert: Di 19. Jan 2016, 18:34
Wohnort: Kiel
Mäher: Gardena SILENO City 500
Firmware des Mähers (MSW): MSW 11.xx.xx
Herstellungsjahr: 2017 (Modell 2018)
Robonect-Modul: Robonect Hx (Rev.5)
Robonect Firmware: stets die Allerneuste :-)
hat sich bedankt: 1 Mal
wurde gedankt: 2 Male
Kontaktdaten:

Re: Der derzeit installierte Bootloader ist veraltet und muss dringend aktualisiert werden!

Beitrag von Admin »

Mit einem Atmen Programme lässt sich der ARM Cortex Prozessor nicht programmieren. Hierzu ist ein JTAG Programme notwendig. Außerdem muss nach dem Aufspielen noch etwas über die Service-Uart konfiguriert werden.

Wer ihn aktualisieren möchte, braucht mir das Modul einfach nur mit einem kurzen Hinweis zuschicken. Geht dann meist innerhalb 24h wieder auf die Reise zurück.
Werbefläche zu vermieten. :lol:

Benutzeravatar
syberman
erfahrener Forum-Nutzer
Beiträge: 54
Registriert: Di 26. Jan 2016, 17:57
Wohnort: Hochheim am Main
Mäher: Gardena R40Li
Firmware des Mähers (MSW): MSW 4.xx.xx
Herstellungsjahr: 2013
Robonect-Modul: Robonect H30x (Rev.3)
Robonect Firmware: 09E

Re: Der derzeit installierte Bootloader ist veraltet und muss dringend aktualisiert werden!

Beitrag von syberman »

Hi Fabian,
Modul ist unterwegs zu Dir. 4,00€ sind bei gelegt.
Hätte gerne ein Bootloader Update.
werde es Morgen Abend zur Post bringen.

Gruß Frank (syberman)
LG syberman

R40Li oder Flip wie wir ihn nennen
MSW-Version: 4.02.00 und SUB-Version: 4.00.00 und Robonect V0.9.E

Benutzeravatar
syberman
erfahrener Forum-Nutzer
Beiträge: 54
Registriert: Di 26. Jan 2016, 17:57
Wohnort: Hochheim am Main
Mäher: Gardena R40Li
Firmware des Mähers (MSW): MSW 4.xx.xx
Herstellungsjahr: 2013
Robonect-Modul: Robonect H30x (Rev.3)
Robonect Firmware: 09E

Re: Der derzeit installiert Bootloader ist veraltet und muss dringend aktualisiert werden!

Beitrag von syberman »

Soo,
Modul Robonect H30x wieder eingebaut nach Bootloader Update.
Alles eingestellt und los geht es mit der Arbeit für Flip.
Fabian hat alles super geklappt.
Danke für das Update.
Flip macht wieder alles so wie ich es will. Sogar aus der Ferne :lol:
LG syberman

R40Li oder Flip wie wir ihn nennen
MSW-Version: 4.02.00 und SUB-Version: 4.00.00 und Robonect V0.9.E

Butsche
Forum-Nutzer
Beiträge: 47
Registriert: Di 26. Jan 2016, 10:55
Wohnort: Brunsbüttel
Mäher: Gardena R70Li
Firmware des Mähers (MSW): MSW 5.xx.xx
Herstellungsjahr: 2015
Robonect-Modul: Robonect H30x (Rev.0)
Robonect Firmware: 1.0bets1

Re: Der derzeit installierte Bootloader ist veraltet und muss dringend aktualisiert werden!

Beitrag von Butsche »

Soooo lange nicht mehr hier gewesen :-)
Shaun hatte bis eben noch die V.08 drauf nun die V.09 und er mäht fleißig!
Das mit dem Bootloader habe ich gerade erst gesehen und nun auch hier gelesen!Habe aktuell keine Probleme!Würde deinen "Winterdienst" dann nächsten Winter in Anspruch nehmen solange vorher keine Probleme auftreten sollten!
Gruß Alex
Automower: R70Li MSW-Version: 5.01.00 Sub-Version: 5.00.00 MMI-Version: 5.05.00 MSW-Datum: 10-10-2014 Produktion: 07-05-2015 Robonect H30x: Version: V0.9 (25.03.2017)

Admin
Administrator
Beiträge: 2764
Registriert: Di 19. Jan 2016, 18:34
Wohnort: Kiel
Mäher: Gardena SILENO City 500
Firmware des Mähers (MSW): MSW 11.xx.xx
Herstellungsjahr: 2017 (Modell 2018)
Robonect-Modul: Robonect Hx (Rev.5)
Robonect Firmware: stets die Allerneuste :-)
hat sich bedankt: 1 Mal
wurde gedankt: 2 Male
Kontaktdaten:

Re: Der derzeit installierte Bootloader ist veraltet und muss dringend aktualisiert werden!

Beitrag von Admin »

Ja. Never touch a running system. ;)
Werbefläche zu vermieten. :lol:

Lorbse
Forum-Anfänger
Beiträge: 8
Registriert: Fr 20. Mai 2016, 22:04

Re: Der derzeit installierte Bootloader ist veraltet und muss dringend aktualisiert werden!

Beitrag von Lorbse »

Hallo,

ist es noch möglich den Bootloader Updaten zu lassen? Habe es jetzt immer so gemacht mit Hardreset, das nervt aber auf dauer.

Antworten

Zurück zu „Allgemeine Diskussionen“